Managed Database Columns - List By Database
列出受控資料庫數據行
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}/columns?api-version=2025-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}/columns?schema={schema}&table={table}&column={column}&orderBy={orderBy}&$skiptoken={$skiptoken}&api-version=2025-01-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
資料庫的名稱。 |
|
managed
|
path | True |
string |
受控實例的名稱。 |
|
resource
|
path | True |
string |
包含資源的資源群組名稱。 您可以從 Azure Resource Manager API 或入口網站取得此值。 |
|
subscription
|
path | True |
string |
識別 Azure 訂用帳戶的訂用帳戶標識碼。 |
|
api-version
|
query | True |
string |
要用於要求的 API 版本。 |
|
$skiptoken
|
query |
string |
識別集合中起點的不透明標記。 |
|
|
column
|
query |
string[] |
||
|
order
|
query |
string[] |
||
|
schema
|
query |
string[] |
||
|
table
|
query |
string[] |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
成功擷取的資料庫數據行。 |
|
| Other Status Codes |
錯誤回應: ***
|
範例
| Filter managed database columns |
| List managed database columns |
Filter managed database columns
範例要求
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/managedInstances/serverName/databases/myDatabase/columns?schema=dbo&table=customer&table=address&column=username&orderBy=schema asc&orderBy=table&orderBy=column desc&api-version=2025-01-01
範例回覆
{
"value": [
{
"properties": {
"columnType": "nvarchar",
"temporalType": "NonTemporalTable",
"memoryOptimized": false,
"isComputed": false
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/managedInstances/serverName/databases/myDatabase/schemas/dbo/tables/customer/columns/username",
"name": "username",
"type": "Microsoft.Sql/managedInstances/databases/schemas/tables/columns"
}
]
}
List managed database columns
範例要求
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/managedInstances/serverName/databases/myDatabase/columns?api-version=2025-01-01
範例回覆
{
"value": [
{
"properties": {
"columnType": "int",
"temporalType": "NonTemporalTable",
"memoryOptimized": false,
"isComputed": false
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/managedInstances/serverName/databases/myDatabase/schemas/dbo/tables/table1/columns/col1",
"name": "col1",
"type": "Microsoft.Sql/managedInstances/databases/schemas/tables/columns"
},
{
"properties": {
"columnType": "bit",
"temporalType": "SystemVersionedTemporalTable",
"memoryOptimized": false,
"isComputed": false
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/managedInstances/serverName/databases/myDatabase/schemas/dbo/tables/table1/columns/col2",
"name": "col2",
"type": "Microsoft.Sql/managedInstances/databases/schemas/tables/columns"
}
]
}
定義
| 名稱 | Description |
|---|---|
|
Column |
數據行數據類型。 |
|
Database |
資料庫數據行資源。 |
|
Database |
資料庫數據列的清單。 |
|
Error |
資源管理錯誤附加資訊。 |
|
Error |
錯誤詳細資料。 |
|
Error |
錯誤回應 |
|
Table |
數據表時態型別。 |
ColumnDataType
數據行數據類型。
| 值 | Description |
|---|---|
| image | |
| text | |
| uniqueidentifier | |
| date | |
| time | |
| datetime2 | |
| datetimeoffset | |
| tinyint | |
| smallint | |
| int | |
| smalldatetime | |
| real | |
| money | |
| datetime | |
| float | |
| sql_variant | |
| ntext | |
| bit | |
| decimal | |
| numeric | |
| smallmoney | |
| bigint | |
| hierarchyid | |
| geometry | |
| geography | |
| varbinary | |
| varchar | |
| binary | |
| char | |
| timestamp | |
| nvarchar | |
| nchar | |
| xml | |
| sysname |
DatabaseColumn
資料庫數據行資源。
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string |
資源標識碼。 |
| name |
string |
資源名稱。 |
| properties.columnType |
數據行數據類型。 |
|
| properties.isComputed |
boolean |
是否計算數據行。 |
| properties.memoryOptimized |
boolean |
數據行是否屬於記憶體優化數據表。 |
| properties.temporalType |
數據表時態型別。 |
|
| type |
string |
資源類型。 |
DatabaseColumnListResult
資料庫數據列的清單。
| 名稱 | 類型 | Description |
|---|---|---|
| nextLink |
string |
連結以擷取下一頁的結果。 |
| value |
結果的陣列。 |
ErrorAdditionalInfo
資源管理錯誤附加資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| info |
object |
附加資訊。 |
| type |
string |
其他資訊類型。 |
ErrorDetail
錯誤詳細資料。
| 名稱 | 類型 | Description |
|---|---|---|
| additionalInfo |
錯誤附加資訊。 |
|
| code |
string |
錯誤碼。 |
| details |
錯誤詳情 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |
ErrorResponse
錯誤回應
| 名稱 | 類型 | Description |
|---|---|---|
| error |
錯誤物件。 |
TableTemporalType
數據表時態型別。
| 值 | Description |
|---|---|
| NonTemporalTable | |
| HistoryTable | |
| SystemVersionedTemporalTable |